---
lang: en
title: 'API docs: authentication-jwt.jwtauthenticationstrategy._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.jwtauthenticationstrategy._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [JWTAuthenticationStrategy](./authentication-jwt.jwtauthenticationstrategy.md) &gt; [(constructor)](./authentication-jwt.jwtauthenticationstrategy._constructor_.md)

## JWTAuthenticationStrategy.(constructor)

Constructs a new instance of the `JWTAuthenticationStrategy` class

**Signature:**

```typescript
constructor(tokenService: TokenService);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

tokenService


</td><td>

[TokenService](./authentication.tokenservice.md)


</td><td>


</td></tr>
</tbody></table>

